<h1 align="center" name="pywebio-en">FreeOTP+ Export to Bitwarden Authenticator</h1>
<p align="center">
    <em>CLI tool to export data from FreeOTP+ into Bitwarden Authenticator</em>
</p>
<p align="center">
    <a href="https://pylint.org/">
        <img src="https://img.shields.io/badge/linting-pylint-yellowgreen" alt="Linting">
    </a>
    <a href="https://pypi.org/project/flake8/">
        <img src="https://img.shields.io/badge/linting-flake8-yellowgreen" alt="Linting">
    </a>
    <a href="https://www.python.org/">
        <img src="https://img.shields.io/badge/python->%3D%203.11-brightgreen" alt="Python Version">
    </a>
    <a href="https://www.gnu.org/licenses/gpl-3.0.en.html">
        <img src="https://img.shields.io/gitlab/license/Bullet64/restic_ui_pywebio?color=yellow" alt="License">
    </a>
</p>


README
======

## About

This project provides a CLI tool to export data from [FreeOTP+](https://play.google.com/store/apps/details?id=org.liberty.android.freeotpplus&hl=en_US) and import it into [Bitwarden Authenticator](https://github.com/bitwarden/authenticator-android). It’s a useful utility for managing your two-factor authentication tokens.

While the project may still be a work in progress, it has been a great learning experience with Python and Git. I hope it helps others in similar situations.

Feel free to reach out with questions or suggestions on my [forum](https://linux-nerds.org/).

## Dependencies

* python >= 3.11
* git


## Installation

1. Clone the repository:

       git clone https://gitlab.com/Bullet64/freeotpplus-export-to-bitwarden-authenticator

2. Navigate into the project directory:

       cd freeotpplus-export-to-bitwarden-authenticator

## Usage

1. Export data from FreeOTP+ on your Android phone.

2. Run the converter script:

       python converter.py -i import.txt -o output.json

## Known problems

* No known issues at present.

## Tested on

* Operating System: Manjaro Linux 24.0.6
* Python Version: 3.12.4
* Android App: FreeOTP+ 3.1(22)